import 'package:flutter/material.dart';
import 'package:sigap/src/utils/constants/sizes.dart';

class VerificationStatus extends StatelessWidget {
  final bool isVerifying;
  final String verifyingMessage;

  const VerificationStatus({
    super.key,
    required this.isVerifying,
    required this.verifyingMessage,
  });

  @override
  Widget build(BuildContext context) {
    return isVerifying
        ? Padding(
          padding: const EdgeInsets.symmetric(vertical: TSizes.spaceBtwItems),
          child: Center(
            child: Column(
              children: [
                const CircularProgressIndicator(),
                const SizedBox(height: TSizes.sm),
                Text(verifyingMessage),
              ],
            ),
          ),
        )
        : const SizedBox.shrink();
  }
}
